JdbcAsyncWriter (Apache Geode 1.15.4)

org.apache.geode.connectors.jdbc

## Class JdbcAsyncWriter

- java.lang.Object
- - org.apache.geode.connectors.jdbc.internal.AbstractJdbcCallback
  - - org.apache.geode.connectors.jdbc.JdbcAsyncWriter

- All Implemented Interfaces:
    AsyncEventListener, CacheCallback, Declarable

      @Experimental
      public class JdbcAsyncWriter
      extends org.apache.geode.connectors.jdbc.internal.AbstractJdbcCallback
      implements AsyncEventListener

  This class provides write behind cache semantics for a JDBC data source using AsyncEventListener.
  Since:
    Geode 1.4

- - ### Field Summary

    - ### Fields inherited from class org.apache.geode.connectors.jdbc.internal.AbstractJdbcCallback

      `cache`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JdbcAsyncWriter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `processEvents(List<AsyncEvent> events)` Process the list of `AsyncEvent`s.

    - ### Methods inherited from class org.apache.geode.connectors.jdbc.internal.AbstractJdbcCallback

      `checkInitialized, eventCanBeIgnored, getSqlHandler`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.cache.CacheCallback

      `close`

    - ### Methods inherited from interface org.apache.geode.cache.Declarable

      `init, initialize`

- - ### Constructor Detail

    - #### JdbcAsyncWriter

          public JdbcAsyncWriter()

  - ### Method Detail

    - #### processEvents

          public boolean processEvents(List<AsyncEvent> events)

      Description copied from interface: `AsyncEventListener`
      Process the list of `AsyncEvent`s. This method will asynchronously be called when events are queued to be processed. The size of the list will be up to batch size events where batch size is defined in the `AsyncEventQueueFactory`.
      Specified by:
        `processEvents` in interface `AsyncEventListener`
      Parameters:
        `events` - The list of `AsyncEvent` to process
      Returns:
        boolean True represents whether the events were successfully processed, false otherwise.